Skip to content

Monitoring - One Platform Organizations Integration API (v1)

Monitoring - Public endpoints to integrate Organization with One Platform

Download OpenAPI description
Languages
Servers
https://docs.namirial.app

Consumptions

Show consumptions of your product in One Platform

Operations

Business Relations

Operations

Consumers

Operations

Returns the list of directly connected consumers to consumer associated to provided organizationId.

Request

⚠️ UNSTABLE ENDPOINT — This v2 endpoint is under active development. The contract (fields, request/response structure, behavior) may change without notice. All integrations consuming this endpoint must be updated accordingly. This notice will be removed once the endpoint is stable.

Security policies: OrganizationsConsumersView

Security
OpenIdConnect
Path
idstringrequired

The organization identifier

Query
allLevelsboolean

Boolean which defines whether to include all levels of consumers. (Default: false)

totalElementsinteger(int32)

The total number of elements in the pagination. (Default: Not applied)

legalEntityModeboolean

Boolean which defines if trying to use the legal entity associated with the organization consumer. (Default: false)

namestring

The name of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

typestring

The types of consumer to filter. (Default: Not applied)

metadatastring

Metadata values of the consumer to filter. Is JSON object format. (Default: Not applied)

taxCode1string

The tax code 1 of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

taxCode2string

The tax code 2 of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

taxCode3string

The tax code 3 of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

countrystring

The country of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

customerTypestring

The types of customer to filter. (Default: Not applied)

searchstring

The search term for filtering items. (Default: Not applied)

exactboolean

Boolean which defines whether the params name and search must match exactly. (Default: false)

pageNumberinteger(int32)

The page number of pagination. (Default: 1)

pageSizeinteger(int32)

The page size of pagination. (Default: 50, Max: 500)

shouldCountboolean

Indicates whether the query should also return the total count of items (Default: true)

curl -i -X GET \
  'https://docs.namirial.app/v2/organizations/{id}/consumers?allLevels=true&totalElements=0&legalEntityMode=true&name=string&type=string&metadata=string&taxCode1=string&taxCode2=string&taxCode3=string&country=string&customerType=string&search=string&exact=true&pageNumber=0&pageSize=0&shouldCount=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects(ConsumerDto)

ICollection of the final sorted, filtered and paginated data.

pageNumberinteger(int32)

The current page number.

pageSizeinteger(int32)

Number or items in a page.

totalPagesinteger(int32)read-only

Total number of pages.

totalItemsinteger(int32)

Total number of items that exist for the query.

Response
application/json
{ "items": [ { … } ], "pageNumber": 0, "pageSize": 0, "totalPages": 0, "totalItems": 0 }

Create organization consumer (V2 — TaxCode1/TaxCode2/TaxCode3) and returns the identifier of created consumer.

Request

⚠️ UNSTABLE ENDPOINT — This v2 endpoint is under active development. The contract (fields, request/response structure, behavior) may change without notice. All integrations consuming this endpoint must be updated accordingly. This notice will be removed once the endpoint is stable.

⚠️ NOTE ON TAX CODE VALIDATION — This endpoint applies strict validation for supported countries (currently IT and FR). If support for additional countries with strict tax code validation is introduced in the future, this endpoint will automatically enforce those rules — callers must ensure tax codes are valid for the consumer's country.

Security policies: OrganizationsConsumersCreate

Security
OpenIdConnect
Path
idstringrequired

The organization identifier

Query
dryRunboolean
Bodyapplication/jsonrequired
namestring

Name of the consumer.

Example: "NAMIRIAL S.P.A."
firstNamestring

First name of the individual customer.

lastNamestring

Last name of the individual customer.

customerTypestring(int32)

Customer type.

For ITALIAN consumers:

Valid values are: None, PrivateIndividual, ProfessionalIndividual, Corporate, PublicAdministration, NonProfit

When the Type is Customer and CustomerType is None the CustomerType is automatically generated according to the following rules:


| CustomerType........ | TaxCode1 | TaxCode2 | TaxCode3 |

| CustomerType........ | (VAT) | (TAXNUMBER) | (PANUMBER) |


| NonProfit........... | empty.... | length 11.. | empty..... |

| NonProfit........... | empty.... | length 29.. | empty..... |

| Corporate........... | length 11 | length 11.. | empty..... |

| Corporate........... | length 29 | length 11.. | empty..... |

| Corporate........... | length 29 | length 29.. | empty..... |

| PrivateIndividual... | empty.... | length 16.. | empty..... |

| ProfessionalIndividual | length 11 | length 16.. | empty..... |

| ProfessionalIndividual | length 29 | length 16.. | empty..... |

| PublicAdministration | empty.... | length 11.. | length 6.. |

| PublicAdministration | empty.... | length 29.. | length 6.. |

| PublicAdministration | length 11 | length 11.. | length 6.. |

| PublicAdministration | length 29 | length 11.. | length 6.. |

| PublicAdministration | length 29 | length 29.. | length 6.. |


Without a type, it is not possible to define a NonProfit with TaxCode1.

It is still recommended when you have the type in hand to manually define the CustomerType with the correct type.

For FRENCH consumers:

Valid values are: PrivateIndividual, ProfessionalIndividual, Corporate

Auto mode is not provided

For all other consumers:

Valid values are: PrivateIndividual, ProfessionalIndividual, Corporate

DEFAULT: None

Enum"None""ProfessionalIndividual""Corporate""PublicAdministration""NonProfit""PrivateIndividual"
Example: "Corporate"
countrystring

Country of the consumer. The format is ISO 3166-1 alpha-2 (cca2).

Example: "IT"
taxCode1string

Tax code 1 of the consumer.

For ITALIAN consumers is VAT:

REGULAR VAT:

  • Length is 11 digits.

  • Valid characters are digits (0-9).

  • The format is validated with Italian specifications.

TEMPORARY VAT:

  • The temporary VAT is used only for customers that do not have a regular VAT yet.

  • The temporary VAT is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

Is mandatory for: LegalEntity, Customer-Corporate

Is optional for: Customer-PrivateIndividual, Customer-ProfessionalIndividual, Customer-NonProfit, Customer-PublicAdministration

Must be empty for: InternalUnit

For FRENCH consumers is TVA:

REGULAR TVA:

  • Length is 13 chars: prefix "FR" + 2 chars (A-HJ-NP-Z0-9) + 9 digits.

  • Valid characters are digits (0-9) and uppercase letters (A-Z), excluding I and O.

  • The format is validated with French specifications.

TEMPORARY TVA:

  • The temporary TVA is used only for customers that do not have a regular TVA yet.

  • The temporary TVA is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

Is optional for: LegalEntity, Customer-Corporate, Customer-ProfessionalIndividual

Must be empty for: Customer-PrivateIndividual, Customer-NonProfit, Customer-PublicAdministration, InternalUnit

For all other consumers:

Valid characters are uppercase letters (A-Z), digits (0-9), symbols dot (.), hyphen (-) and slash (/).

Is optional for: LegalEntity, Customer-Corporate, Customer-PrivateIndividual, Customer-ProfessionalIndividual

Must be empty for: InternalUnit

taxCode2string

Tax code 2 of the consumer.

For ITALIAN consumers is TAXNUMBER:

PERSON TAXNUMBER:

  • Length is 16 chars.

  • Valid characters are digits and letters (0-9, A-Z).

  • The format is validated with Italian specifications.

  • Only for: Customer-PrivateIndividual, Customer-ProfessionalIndividual

REGULAR TAXNUMBER:

  • Length is 11 digits.

  • Valid characters are digits (0-9).

  • The format is validated with Italian specifications.

  • Only for: LegalEntity, Customer-Corporate, Customer-NonProfit, Customer-PublicAdministration

TEMPORARY TAXNUMBER:

  • The temporary TAXNUMBER is used only for customers that do not have a regular TAXNUMBER yet.

  • The temporary TAXNUMBER is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

  • Only for: Customer-Corporate, Customer-NonProfit, Customer-PublicAdministration

Must be empty for: InternalUnit

For FRENCH consumers is SIREN:

REGULAR SIREN:

  • Length is 9 digits.

  • Valid characters are digits (0-9).

  • The format is validated with French specifications.

TEMPORARY SIREN:

  • The temporary SIREN is used only for customers that do not have a regular SIREN yet.

  • The temporary SIREN is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

Is optional for: LegalEntity, Customer-Corporate, Customer-ProfessionalIndividual

Must be empty for: Customer-PrivateIndividual, Customer-NonProfit, Customer-PublicAdministration, InternalUnit

For all other consumers:

Valid characters are uppercase letters (A-Z), digits (0-9), symbols dot (.), hyphen (-) and slash (/).

Is optional for: LegalEntity, Customer-Corporate, Customer-PrivateIndividual, Customer-ProfessionalIndividual

Must be empty for: InternalUnit

taxCode3string

Tax code 3 of the consumer.

For ITALIAN consumers is PANUMBER:

REGULAR PANUMBER:

  • Length is 6 chars.

  • Valid characters are uppercase letters (A-Z) and digits (0-9).

  • The format is validated with Italian specifications.

Is mandatory for: Customer-PublicAdministration

Must be empty for: LegalEntity, Customer-Corporate, Customer-PrivateIndividual, Customer-ProfessionalIndividual, Customer-NonProfit, InternalUnit

For FRENCH consumers is SIRET:

REGULAR SIRET:

  • Length is 14 digits.

  • Valid characters are digits (0-9).

  • The format is validated with French specifications.

TEMPORARY SIRET:

  • The temporary SIRET is used only for customers that do not have a regular SIRET yet.

  • The temporary SIRET is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

Is optional for: LegalEntity, Customer-Corporate, Customer-ProfessionalIndividual

Must be empty for: Customer-PrivateIndividual, Customer-NonProfit, Customer-PublicAdministration, InternalUnit

For all other consumers:

Valid characters are uppercase letters (A-Z), digits (0-9), symbols dot (.), hyphen (-) and slash (/).

Is optional for: LegalEntity, Customer-Corporate, Customer-PrivateIndividual, Customer-ProfessionalIndividual

Must be empty for: InternalUnit

isValidatedTaxCodesboolean

Indicates whether the tax codes have been validated against country-specific standards (VAT/TaxNumber/PaNumber for Italy, Tva/Siren/Siret for France). Assigned exclusively by backend rules — ignored on input.

typestring(int32)

Consumer type (Customer, LegalEntity, InternalUnit).

In the creation of a consumer by integrators is forbidden the creation of a consumer with LegalEntity type.

DEFAULT: Customer

Enum"Customer""LegalEntity""InternalUnit"
Example: "Customer"
billableboolean

Billable consumer.

For InternalUnit type must be false.

Example: true
addressstring

Billing address of the consumer.

Is mandatory when Billable is true.

Example: "Via Caduti sul Lavoro, 4"
statestring

Billing state of the consumer.

Is mandatory when Billable is true.

For ITALIAN consumers is validated with the italian state list.

Example: "AN"
citystring

Billing city of the consumer.

Is mandatory when Billable is true.

For ITALIAN consumers is validated with the italian state city list.

Example: "Senigallia"
postalCodestring

Billing postal code of the consumer.

Is mandatory when Billable is true.

For ITALIAN consumers is validated with the italian state city postal code list.

Example: "60019"
emailsArray of strings

Contact emails of the consumer.

One email is mandatory when Billable is true.

Example: ["info@namirial.com"]
pecsArray of strings

Contact pecs of the consumer.

Example: ["amm.namirial@sicurezzapostale.it"]
phonesArray of strings

Contact phones of the consumer.

Is validated for consumer country.

Example: ["+3907163494"]
mobilePhonesArray of strings

Contact mobile phones of the consumer.

Is validated for consumer country.

Example: ["+393384234567"]
metadataobject

Custom meta data dictionary of the consumer.

Example: {"your-property":"value of property"}
birthInfoobject(ConsumerBirthInfoDto)
residenceInfoobject(ConsumerResidenceInfoDto)
businessTypestring(int32)

Consumer business type.

Enum"None""Reseller"
curl -i -X POST \
  'https://docs.namirial.app/v2/organizations/{id}/consumers?dryRun=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "NAMIRIAL S.P.A.",
    "firstName": "string",
    "lastName": "string",
    "customerType": "Corporate",
    "country": "IT",
    "taxCode1": "string",
    "taxCode2": "string",
    "taxCode3": "string",
    "isValidatedTaxCodes": true,
    "type": "Customer",
    "billable": true,
    "address": "Via Caduti sul Lavoro, 4",
    "state": "AN",
    "city": "Senigallia",
    "postalCode": "60019",
    "emails": [
      "info@namirial.com"
    ],
    "pecs": [
      "amm.namirial@sicurezzapostale.it"
    ],
    "phones": [
      "+3907163494"
    ],
    "mobilePhones": [
      "+393384234567"
    ],
    "metadata": {
      "your-property": "value of property"
    },
    "birthInfo": {
      "date": "2019-08-24",
      "gender": "Male",
      "country": "string",
      "state": "string",
      "city": "string",
      "postalCode": "string"
    },
    "residenceInfo": {
      "country": "string",
      "address": "string",
      "state": "string",
      "city": "string",
      "postalCode": "string",
      "personalCode": "string"
    },
    "businessType": "None"
  }'

Responses

OK

Bodyapplication/json
idstring
Response
application/json
{ "id": "string" }

Returns the detail of a consumer based on related consumer associated to given organization.

Request

⚠️ UNSTABLE ENDPOINT — This v2 endpoint is under active development. The contract (fields, request/response structure, behavior) may change without notice. All integrations consuming this endpoint must be updated accordingly. This notice will be removed once the endpoint is stable.

Security policies: OrganizationsConsumerDetailsView

Security
OpenIdConnect
Path
idstringrequired

The identifier of the organization which associated consumer should be used as parent consumer filter for given consumer.

consumerIdstringrequired

The identifier of the consumer to retrieve.

Query
includeHasContractsboolean
curl -i -X GET \
  'https://docs.namirial.app/v2/organizations/{id}/consumers/{consumerId}?includeHasContracts=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
namestring

Name of the consumer.

Example: "NAMIRIAL S.P.A."
firstNamestring

First name of the individual customer.

lastNamestring

Last name of the individual customer.

customerTypestring(int32)

Customer type.

For ITALIAN consumers:

Valid values are: None, PrivateIndividual, ProfessionalIndividual, Corporate, PublicAdministration, NonProfit

When the Type is Customer and CustomerType is None the CustomerType is automatically generated according to the following rules:


| CustomerType........ | TaxCode1 | TaxCode2 | TaxCode3 |

| CustomerType........ | (VAT) | (TAXNUMBER) | (PANUMBER) |


| NonProfit........... | empty.... | length 11.. | empty..... |

| NonProfit........... | empty.... | length 29.. | empty..... |

| Corporate........... | length 11 | length 11.. | empty..... |

| Corporate........... | length 29 | length 11.. | empty..... |

| Corporate........... | length 29 | length 29.. | empty..... |

| PrivateIndividual... | empty.... | length 16.. | empty..... |

| ProfessionalIndividual | length 11 | length 16.. | empty..... |

| ProfessionalIndividual | length 29 | length 16.. | empty..... |

| PublicAdministration | empty.... | length 11.. | length 6.. |

| PublicAdministration | empty.... | length 29.. | length 6.. |

| PublicAdministration | length 11 | length 11.. | length 6.. |

| PublicAdministration | length 29 | length 11.. | length 6.. |

| PublicAdministration | length 29 | length 29.. | length 6.. |


Without a type, it is not possible to define a NonProfit with TaxCode1.

It is still recommended when you have the type in hand to manually define the CustomerType with the correct type.

For FRENCH consumers:

Valid values are: PrivateIndividual, ProfessionalIndividual, Corporate

Auto mode is not provided

For all other consumers:

Valid values are: PrivateIndividual, ProfessionalIndividual, Corporate

DEFAULT: None

Enum"None""ProfessionalIndividual""Corporate""PublicAdministration""NonProfit""PrivateIndividual"
Example: "Corporate"
countrystring

Country of the consumer. The format is ISO 3166-1 alpha-2 (cca2).

Example: "IT"
taxCode1string

Tax code 1 of the consumer.

For ITALIAN consumers is VAT:

REGULAR VAT:

  • Length is 11 digits.

  • Valid characters are digits (0-9).

  • The format is validated with Italian specifications.

TEMPORARY VAT:

  • The temporary VAT is used only for customers that do not have a regular VAT yet.

  • The temporary VAT is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

Is mandatory for: LegalEntity, Customer-Corporate

Is optional for: Customer-PrivateIndividual, Customer-ProfessionalIndividual, Customer-NonProfit, Customer-PublicAdministration

Must be empty for: InternalUnit

For FRENCH consumers is TVA:

REGULAR TVA:

  • Length is 13 chars: prefix "FR" + 2 chars (A-HJ-NP-Z0-9) + 9 digits.

  • Valid characters are digits (0-9) and uppercase letters (A-Z), excluding I and O.

  • The format is validated with French specifications.

TEMPORARY TVA:

  • The temporary TVA is used only for customers that do not have a regular TVA yet.

  • The temporary TVA is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

Is optional for: LegalEntity, Customer-Corporate, Customer-ProfessionalIndividual

Must be empty for: Customer-PrivateIndividual, Customer-NonProfit, Customer-PublicAdministration, InternalUnit

For all other consumers:

Valid characters are uppercase letters (A-Z), digits (0-9), symbols dot (.), hyphen (-) and slash (/).

Is optional for: LegalEntity, Customer-Corporate, Customer-PrivateIndividual, Customer-ProfessionalIndividual

Must be empty for: InternalUnit

taxCode2string

Tax code 2 of the consumer.

For ITALIAN consumers is TAXNUMBER:

PERSON TAXNUMBER:

  • Length is 16 chars.

  • Valid characters are digits and letters (0-9, A-Z).

  • The format is validated with Italian specifications.

  • Only for: Customer-PrivateIndividual, Customer-ProfessionalIndividual

REGULAR TAXNUMBER:

  • Length is 11 digits.

  • Valid characters are digits (0-9).

  • The format is validated with Italian specifications.

  • Only for: LegalEntity, Customer-Corporate, Customer-NonProfit, Customer-PublicAdministration

TEMPORARY TAXNUMBER:

  • The temporary TAXNUMBER is used only for customers that do not have a regular TAXNUMBER yet.

  • The temporary TAXNUMBER is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

  • Only for: Customer-Corporate, Customer-NonProfit, Customer-PublicAdministration

Must be empty for: InternalUnit

For FRENCH consumers is SIREN:

REGULAR SIREN:

  • Length is 9 digits.

  • Valid characters are digits (0-9).

  • The format is validated with French specifications.

TEMPORARY SIREN:

  • The temporary SIREN is used only for customers that do not have a regular SIREN yet.

  • The temporary SIREN is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

Is optional for: LegalEntity, Customer-Corporate, Customer-ProfessionalIndividual

Must be empty for: Customer-PrivateIndividual, Customer-NonProfit, Customer-PublicAdministration, InternalUnit

For all other consumers:

Valid characters are uppercase letters (A-Z), digits (0-9), symbols dot (.), hyphen (-) and slash (/).

Is optional for: LegalEntity, Customer-Corporate, Customer-PrivateIndividual, Customer-ProfessionalIndividual

Must be empty for: InternalUnit

taxCode3string

Tax code 3 of the consumer.

For ITALIAN consumers is PANUMBER:

REGULAR PANUMBER:

  • Length is 6 chars.

  • Valid characters are uppercase letters (A-Z) and digits (0-9).

  • The format is validated with Italian specifications.

Is mandatory for: Customer-PublicAdministration

Must be empty for: LegalEntity, Customer-Corporate, Customer-PrivateIndividual, Customer-ProfessionalIndividual, Customer-NonProfit, InternalUnit

For FRENCH consumers is SIRET:

REGULAR SIRET:

  • Length is 14 digits.

  • Valid characters are digits (0-9).

  • The format is validated with French specifications.

TEMPORARY SIRET:

  • The temporary SIRET is used only for customers that do not have a regular SIRET yet.

  • The temporary SIRET is composed by a header "T01" and a ULID.

  • Length is 29 chars: 3 header chars and 26 ULID chars.

  • Valid characters are 0-9, A-H, J-K, M-N, P-T, V-Z. The format is validated with ULID specifications.

Is optional for: LegalEntity, Customer-Corporate, Customer-ProfessionalIndividual

Must be empty for: Customer-PrivateIndividual, Customer-NonProfit, Customer-PublicAdministration, InternalUnit

For all other consumers:

Valid characters are uppercase letters (A-Z), digits (0-9), symbols dot (.), hyphen (-) and slash (/).

Is optional for: LegalEntity, Customer-Corporate, Customer-PrivateIndividual, Customer-ProfessionalIndividual

Must be empty for: InternalUnit

isValidatedTaxCodesboolean

Indicates whether the tax codes have been validated against country-specific standards (VAT/TaxNumber/PaNumber for Italy, Tva/Siren/Siret for France). Assigned exclusively by backend rules — ignored on input.

typestring(int32)

Consumer type (Customer, LegalEntity, InternalUnit).

In the creation of a consumer by integrators is forbidden the creation of a consumer with LegalEntity type.

DEFAULT: Customer

Enum"Customer""LegalEntity""InternalUnit"
Example: "Customer"
billableboolean

Billable consumer.

For InternalUnit type must be false.

Example: true
addressstring

Billing address of the consumer.

Is mandatory when Billable is true.

Example: "Via Caduti sul Lavoro, 4"
statestring

Billing state of the consumer.

Is mandatory when Billable is true.

For ITALIAN consumers is validated with the italian state list.

Example: "AN"
citystring

Billing city of the consumer.

Is mandatory when Billable is true.

For ITALIAN consumers is validated with the italian state city list.

Example: "Senigallia"
postalCodestring

Billing postal code of the consumer.

Is mandatory when Billable is true.

For ITALIAN consumers is validated with the italian state city postal code list.

Example: "60019"
emailsArray of strings

Contact emails of the consumer.

One email is mandatory when Billable is true.

Example: ["info@namirial.com"]
pecsArray of strings

Contact pecs of the consumer.

Example: ["amm.namirial@sicurezzapostale.it"]
phonesArray of strings

Contact phones of the consumer.

Is validated for consumer country.

Example: ["+3907163494"]
mobilePhonesArray of strings

Contact mobile phones of the consumer.

Is validated for consumer country.

Example: ["+393384234567"]
metadataobject

Custom meta data dictionary of the consumer.

Example: {"your-property":"value of property"}
birthInfoobject(ConsumerBirthInfoDto)
residenceInfoobject(ConsumerResidenceInfoDto)
businessTypestring(int32)

Consumer business type.

Enum"None""Reseller"
idstring

Identifier of the consumer.

Example: "6dcd885f-a37b-427f-ab59-d008ae134aab"
createdAtstring(date-time)

Date and time indicating when this consumer was created.

Example: "2023-11-28T08:14:32.585Z"
updatedAtstring(date-time)

Date and time indicating when this consumer was last updated.

Example: "2023-11-28T08:14:32.585Z"
legalEntityIdstring or null

Associated legal entity identifier

crmIdstring

CRM consumer identifier.

crmSnapshotobject(ConsumerCrmSnapshotDto)
hasContractsboolean

Indicates whether the consumer has contracts.

Response
application/json
{ "name": "NAMIRIAL S.P.A.", "firstName": "string", "lastName": "string", "customerType": "Corporate", "country": "IT", "taxCode1": "string", "taxCode2": "string", "taxCode3": "string", "isValidatedTaxCodes": true, "type": "Customer", "billable": true, "address": "Via Caduti sul Lavoro, 4", "state": "AN", "city": "Senigallia", "postalCode": "60019", "emails": [ "info@namirial.com" ], "pecs": [ "amm.namirial@sicurezzapostale.it" ], "phones": [ "+3907163494" ], "mobilePhones": [ "+393384234567" ], "metadata": { "your-property": "value of property" }, "birthInfo": { "date": "2019-08-24", "gender": "Male", "country": "string", "state": "string", "city": "string", "postalCode": "string" }, "residenceInfo": { "country": "string", "address": "string", "state": "string", "city": "string", "postalCode": "string", "personalCode": "string" }, "businessType": "None", "id": "6dcd885f-a37b-427f-ab59-d008ae134aab", "createdAt": "2023-11-28T08:14:32.585Z", "updatedAt": "2023-11-28T08:14:32.585Z", "legalEntityId": "string", "crmId": "string", "crmSnapshot": { "id": "string", "name": "string", "type": "Unknown", "country": "string", "vat": "string", "taxNumber": "string", "sdi": "string", "address": "string", "city": "string", "state": "string", "postalCode": "string", "phones": [ … ], "emails": [ … ], "pecs": [ … ], "segment": "string", "subSegment": "string" }, "hasContracts": true }

Contract Items

Operations

Contracts

Operations

Counters

Operations

Product Metrics

Operations

Service Activation Groups

Operations